Debian Bug report logs - #545784
smartmontools: smartctl is verbose even with the option quietmode=errorsonly

version graph

Package: smartmontools; Maintainer for smartmontools is Giuseppe Iuculano <iuculano@debian.org>; Source for smartmontools is src:smartmontools.

Reported by: Stuart Pook <debian49@pook.it>

Date: Wed, 9 Sep 2009 06:54:03 UTC

Severity: normal

Found in version smartmontools/5.38+svn2879-4

Fixed in version smartmontools/5.39-3

Done: Giuseppe Iuculano <iuculano@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://sourceforge.net/apps/trac/smartmontools/ticket/11

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <giuseppe@iuculano.it>:
Bug#545784; Package smartmontools. (Wed, 09 Sep 2009 06:54:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stuart Pook <debian49@pook.it>:
New Bug report received and forwarded. Copy sent to Giuseppe Iuculano <giuseppe@iuculano.it>. (Wed, 09 Sep 2009 06:54:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stuart Pook <debian49@pook.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: smartmontools: smartctl is verbose even with the option quietmode=errorsonly
Date: Wed, 09 Sep 2009 08:50:14 +0200
Package: smartmontools
Version: 5.38+svn2879-4
Severity: normal

I run smartctl in a cron job so it is important that it not create any output unless
there is an error. The option --quietmode=errorsonly used to do this for me.

Since a recent upgrade smartctl is verbose even with the option quietmode=errorsonly.

Could smartctl respect the option quietmode=errorsonly again?

+ smartctl --test=short --quietmode=errorsonly /dev/sda1
smartctl 5.39 2009-08-29 r2879 [i686-pc-linux-gnu] (local build)
Copyright (C) 2002-9 by Bruce Allen, http://smartmontools.sourceforge.net

=== START OF OFFLINE IMMEDIATE AND SELF-TEST SECTION ===
Sending command: "Execute SMART Short self-test routine immediately in off-line mode".
Drive command "Execute SMART Short self-test routine immediately in off-line mode" successful.
Testing has begun.
Please wait 1 minutes for test to complete.
Test will complete after Wed Sep  9 04:37:01 2009

Use smartctl -X to abort test.
+ sleep 2m
+ smartctl --health --quietmode=errorsonly /dev/sda1
smartctl 5.39 2009-08-29 r2879 [i686-pc-linux-gnu] (local build)
Copyright (C) 2002-9 by Bruce Allen, http://smartmontools.sourceforge.net

=== START OF READ SMART DATA SECTION ===
SMART overall-health self-assessment test result: PASSED


-- Package-specific info:
Ouput of /usr/share/bug/smartmontools:
# CONFIG_IDE_TASK_IOCTL is not set

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages smartmontools depends on:
ii  debianutils                   3.2.1      Miscellaneous utilities specific t
ii  libc6                         2.9-26     GNU C Library: Shared libraries
ii  libcap-ng0                    0.5.1-1    Development and header files for l
ii  libgcc1                       1:4.4.1-3  GCC support library
ii  libstdc++6                    4.4.1-3    The GNU Standard C++ Library v3
ii  lsb-base                      3.2-23     Linux Standard Base 3.2 init scrip

Versions of packages smartmontools recommends:
ii  bsd-mailx [mailx]  8.1.2-0.20081101cvs-2 A simple mail user agent
ii  mailx              1:20081101-2          Transitional package for mailx ren

Versions of packages smartmontools suggests:
pn  gsmartcontrol                 <none>     (no description available)
pn  powersaved                    <none>     (no description available)
pn  smart-notifier                <none>     (no description available)

-- debconf-show failed




Set Bug forwarded-to-address to 'https://sourceforge.net/apps/trac/smartmontools/ticket/11'. Request was from Giuseppe Iuculano <giuseppe@iuculano.it> to control@bugs.debian.org. (Wed, 16 Sep 2009 10:06:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#545784; Package smartmontools. (Fri, 22 Jan 2010 18:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <iuculano@debian.org>:
Extra info received and forwarded to list. (Fri, 22 Jan 2010 18:57:03 GMT) Full text and rfc822 format available.

Message #12 received at 545784@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <iuculano@debian.org>
To: 545784@bugs.debian.org,control@bugs.debian.org,545784-submitter@bugs.debian.org
Subject: [3d32778] Fix for Bug#545784 committed to git
Date: Fri, 22 Jan 2010 18:53:21 +0000
tags 545784 + pending
thanks

Hello,

     The following change has been committed for this bug by
 Giuseppe Iuculano <iuculano@debian.org> on Fri, 22 Jan 2010 19:52:27 +0100.
 The fix will be in the next upload. 
=========================================================================
Fixed quietmode option

Closes: #545784
=========================================================================

You can check the diff of the fix at:

    http://git.debian.org/?p=collab-maint/smartmontools.git;a=commitdiff;h=3d32778






Added tag(s) pending. Request was from Giuseppe Iuculano <iuculano@debian.org> to control@bugs.debian.org. (Fri, 22 Jan 2010 18:57:04 GMT) Full text and rfc822 format available.

Message sent on to Stuart Pook <debian49@pook.it>:
Bug#545784. (Fri, 22 Jan 2010 18:57:09 GMT) Full text and rfc822 format available.

Reply sent to Giuseppe Iuculano <iuculano@debian.org>:
You have taken responsibility. (Fri, 22 Jan 2010 19:21:04 GMT) Full text and rfc822 format available.

Notification sent to Stuart Pook <debian49@pook.it>:
Bug acknowledged by developer. (Fri, 22 Jan 2010 19:21:04 GMT) Full text and rfc822 format available.

Message #22 received at 545784-close@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <iuculano@debian.org>
To: 545784-close@bugs.debian.org
Subject: Bug#545784: fixed in smartmontools 5.39-3
Date: Fri, 22 Jan 2010 19:17:46 +0000
Source: smartmontools
Source-Version: 5.39-3

We believe that the bug you reported is fixed in the latest version of
smartmontools, which is due to be installed in the Debian FTP archive:

smartmontools_5.39-3.diff.gz
  to main/s/smartmontools/smartmontools_5.39-3.diff.gz
smartmontools_5.39-3.dsc
  to main/s/smartmontools/smartmontools_5.39-3.dsc
smartmontools_5.39-3_i386.deb
  to main/s/smartmontools/smartmontools_5.39-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 545784@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Giuseppe Iuculano <iuculano@debian.org> (supplier of updated smartmontools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 22 Jan 2010 20:02:53 +0100
Source: smartmontools
Binary: smartmontools
Architecture: source i386
Version: 5.39-3
Distribution: unstable
Urgency: low
Maintainer: Giuseppe Iuculano <iuculano@debian.org>
Changed-By: Giuseppe Iuculano <iuculano@debian.org>
Description: 
 smartmontools - control and monitor storage systems using S.M.A.R.T.
Closes: 545784 546566
Changes: 
 smartmontools (5.39-3) unstable; urgency=low
 .
   * [3d32778] Fixed quietmode option (Closes: #545784)
   * [e66f4fd] Allow smartd 'DEVICESCAN -d sat' (Closes: #546566)
Checksums-Sha1: 
 acbe44b98141576ff5137fa0a7cca4fa22c5f855 1480 smartmontools_5.39-3.dsc
 8e2200429dccd9313f1fa52af9afff44fdc826e4 37035 smartmontools_5.39-3.diff.gz
 318ab1c0bf30acb75e962fac7f03f178c2b97ec5 417946 smartmontools_5.39-3_i386.deb
Checksums-Sha256: 
 33520e4dbee75d40d63910c8b65654acc7a7b631a4df14e1bdeb9ed14ea76b20 1480 smartmontools_5.39-3.dsc
 84f9a381e65996f2027bb401d9710c189bb69472dd26050e7b688cba13c5dc27 37035 smartmontools_5.39-3.diff.gz
 d0ff9ff1664387550fe2ffa1551233afcdf4200cd1968e04b1bc82d722209b99 417946 smartmontools_5.39-3_i386.deb
Files: 
 669fe927025d076f95d7b6f77374f29c 1480 utils optional smartmontools_5.39-3.dsc
 5ec6d1735adf87beedd70f558b2646b1 37035 utils optional smartmontools_5.39-3.diff.gz
 b6b65a0319432cc9b7e30d2aee433d12 417946 utils optional smartmontools_5.39-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktZ97MACgkQNxpp46476ao83gCfVc8hOxOtKiM1CqYA0m0EzW1n
Q64An3K/ogK85aTc1btxseB/f6Q7BqIf
=HkTO
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 20 Jun 2011 07:36:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:11:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.